Bug 1001965 - cpio fails with checksum error larger files >~200M
cpio fails with checksum error larger files >~200M
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1415081
  Show dependency treegraph
 
Reported: 2013-08-28 04:31 EDT by Fabian Deutsch
Modified: 2017-01-20 02:59 EST (History)
3 users (show)

See Also:
Fixed In Version: cpio-2.11-21.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1415081 (view as bug list)
Environment:
Last Closed: 2013-10-18 15:55:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-08-28 04:31:13 EDT
Description of problem:
cpio with crc format fails to verfy chjecksums and also can't extract the files.
This happens with files > ~200M (didn't see it with smaller ones).

Version-Release number of selected component (if applicable):
Version     : 2.11
Release     : 20.fc19
Architecture: x86_64


How reproducible:
Always

Steps to Reproduce:
1. Run:
dd if=/dev/urandom of=rand bs=1M count=300
echo rand | cpio --create --format=crc --verbose > rand.cpio
cpio --extract --only-verify-crc < rand.cpio

Actual results:
cpio fails with checksum error:
rand
614401 blocks
cpio: rand: checksum error (0x9568bd204, should be 0x568bd204)
614401 blocks


Expected results:
cpio doesn't get a checksum error

Additional info:
Comment 2 Pavel Raiskup 2013-09-20 17:35:38 EDT
Upstream report:
http://lists.gnu.org/archive/html/bug-cpio/2013-09/msg00000.html
Comment 3 Fedora Update System 2013-09-30 07:41:40 EDT
cpio-2.11-24.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cpio-2.11-24.fc20
Comment 4 Fedora Update System 2013-10-08 16:00:16 EDT
cpio-2.11-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cpio-2.11-21.fc19
Comment 5 Fedora Update System 2013-10-09 10:13:05 EDT
cpio-2.11-24.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-09 20:56:11 EDT
Package cpio-2.11-21.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cpio-2.11-21.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18619/cpio-2.11-21.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-18 15:55:45 EDT
cpio-2.11-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.